package repository

import (
	"app-cloudep-comment-server/pkg/domain/comment"
	"app-cloudep-comment-server/pkg/domain/entity"
	"context"
)

type CommentRepository interface {
	CreateComment(ctx context.Context, comment *entity.Comments) error                           // 新增留言 	// 根據 ID 獲取單條留言
	DeleteCommentByID(ctx context.Context, id string) error                                      // 根據 ID 刪除留言 	// 刪除某留言的所有子留言
	UpdateCommentMessage(ctx context.Context, id string, message string) error                   // 更新留言內容
	ListComments(ctx context.Context, req ListCommentRequest) ([]*entity.Comments, int64, error) // 分頁列出留言
}

type ListCommentRequest struct {
	PageSize    int64
	PageIndex   int64
	ReferenceID *string
	ParentID    *string
	Level       comment.Level
}
